#!/bin/bash

# spdx-license-identifier: gpl-3.0-only
# Copyright (C) 2022 Michał Góral

[[ -n "$LIBGPAK_VALIDATE_SH" ]] && return
LIBGPAK_VALIDATE_SH=1

source "${LIBRARY}/message.sh"
source "${LIBRARY}/exit_codes.sh"

validate_config() {
    [[ -z "$PACKAGES_DIR" ]] && { error "PACKAGES_DIR not set" ; exit $E_INVALID_OPTION; }
    [[ ! -d "$DOCKER_CONTEXT" ]] && { error "DOCKER_CONTEXT doesn't point to valid directory" ; exit $E_ERROR; }
}
